## virtuoso-opensource 6.1.6+dfsg2

=== debian/changelog ===
virtuoso-opensource (6.1.6+dfsg2-4) unstable; urgency=medium

  * QA upload.
  * Add patch to fix FTBFS with OpenSSL 1.1.
    Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc> for the
    patch.  Closes: #828594
  * d/control: drop make from build-deps, as it's build-essential and that
    version is old enough.
  * Bump debhelper compat level to 10.
    + --with autoreconf is now defuault.
    + --parallel is now default.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2017 12:56:02 +0100

virtuoso-opensource (6.1.6+dfsg2-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See #813499)
  * Move packaging repository to
    git://git.debian.org/collab-maint/virtuoso-opensource.git
  * Remove the saddr_t typedef, which clashes with system headers on s390x,
    thanks to Colin Watson.  (Closes: #805157)
  * Rebuild against current mono.  (Closes: #804109)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Feb 2016 19:07:25 +0100

virtuoso-opensource (6.1.6+dfsg2-2) unstable; urgency=medium

  * Update ignore-netstat-failure.patch including new tests (Closes: #761371).
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 15 Sep 2014 14:48:35 -0300

virtuoso-opensource (6.1.6+dfsg2-1) unstable; urgency=medium

  * New patch: 17-fix-imagemagick-detection.patch (Closes: #758459)
    Thanks to bastien ROUCARIES
  * Further dfsgfied version
  * New patch: remove_ckeditor_mini

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Sep 2014 15:42:01 +0200

virtuoso-opensource (6.1.6+dfsg-4) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add docbook-xml as build dependency to avoid downloading it.

  [ Maximiliano Curia ]
  * libvirtodbc0: add Breaks against non m-a aware libsoprano4 versions.
  * Increase wait timeout, mips needs more time.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Nov 2013 19:33:33 +0100

virtuoso-opensource (6.1.6+dfsg-3) unstable; urgency=low

  [ Maximiliano Curia ]
  * Remove mono package for armhf.
  * Update path: do_not_depend_on_MAXPATHLEN.patch.
  * Merge with 6.1.4+dfsg1-7.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove ia64 mono support, as upstream has dropped it (Closes: #727592).
    - As build-dep.
    - From libvirtuoso5.5-cil archs list.
  * Fix typo in control file which led lintian to believe this a NMU.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 06 Nov 2013 00:32:18 -0300

virtuoso-opensource (6.1.6+dfsg-2) experimental; urgency=low

  * New patch: do_not_depend_on_MAXPATHLEN.patch.
  * Add _GNU_SOURCE definition.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Jun 2013 15:50:21 +0200

virtuoso-opensource (6.1.6+dfsg-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release.
  * Update patches:
    - remove portable-method-for-escaping-symbol-gawk.diff, applied upstream.
    - refresh other patches to make them apply without any offset.

  [ Ralf Jung ]
  * Update VCS links

  [ Maximiliano Curia ]
  * Update aclocal and automake versions.
  * Migrate to dh 9.
  * Update dirs files.
  * Update install files.
  * Update Pre-Depends for m-a.
  * New patch, disable-full-test-suite.patch.
  * New patch, check_log_fix.patch.
  * Use relative paths for the odbc drivers.
  * Update libvirtodbc0 debconf use.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 06 Jun 2013 10:34:05 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DEBIANPKG=virtuoso-opensource-6.1
export MONO_DISABLE_SHM=1

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DH_WITH := --with pkgkde_symbolshelper
ifneq (,$(filter %-cil, $(shell dh_listpackages)))
	DH_WITH := $(DH_WITH),cli
	VIRTUOSO_CIL = yes
endif

# Needed for memmmem at least in hurd and kfreebsd*
CFLAGS += -D_GNU_SOURCE

%:
	dh $@ $(DH_WITH)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-layout=debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib

override_dh_auto_build:
	dh_auto_build
	# manpages
	find debian -maxdepth 1 -type f -name '*.1.xml' -execdir docbook2x-man --solinks {} \;
	# libvirtuoso5.5-cil
ifdef VIRTUOSO_CIL
	make -C binsrc/VirtuosoClient.Net -f Makefile.mono
	chmod -x binsrc/VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll
endif

override_dh_install:
	dh_install -plibvirtodbc0 usr/lib/*/virtodbc*.so usr/lib/$(DEB_HOST_MULTIARCH)/odbc
	dh_install --remaining-packages

override_dh_installinit:
	dh_installinit --noscripts

override_dh_auto_clean:
	# manpages clean
	rm -f debian/*.1
	# libvirtuoso5.5-cil clean
ifdef VIRTUOSO_CIL
	make -C binsrc/VirtuosoClient.Net -f Makefile.mono clean
endif
	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/[\.\+]dfsg[\d\.]*// \
http://sf.net/virtuoso/virtuoso-opensource-([0-9.]+)\.tar\.gz

## virtuoso-opensource 6.1.6+repack

=== binsrc/tutorial/services/rp_s_1/Makefile ===
CS=csc.exe

CS_WINFORMS_IMPORTS=/R:System.DLL /R:System.Windows.Forms.DLL  /R:System.Drawing.DLL

OUTDIR=.

#set path to the Microsoft.WSDK.dll
CSLIBFLAGS=/lib:.

CS_EXE_FLAGS=/nologo $(CSLIBFLAGS)

TARGETS = \
  $(OUTDIR)\RoutingClient.exe
CLEANUP = \
  $(OUTDIR)\RoutingClient.exe \
  $(OUTDIR)\RoutingClient.pdb \
  $(OUTDIR)\*.webinfo \
  $(OUTDIR)\clientReferralCache.config \

IMPORTS=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.WSDK.dll

all : $(TARGETS)

$(OUTDIR)\RoutingClient.exe : RoutingClient.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS) /out:$@ $**


clean :
  @for %i in ( $(CLEANUP) ) do @if exist %i del %i

=== debian/changelog ===
virtuoso-opensource (6.1.6+repack-0ubuntu10) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:05:24 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu9) bionic; urgency=medium

  * Cherrypick patch from Debian for openssl1.1 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 19:21:29 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu8) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:57:00 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu7) zesty; urgency=medium

  * Rebuild against new imagemagick libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 20 Jan 2017 11:40:32 +0530

virtuoso-opensource (6.1.6+repack-0ubuntu6) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:12:02 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu5) xenial; urgency=medium

  * Remove the saddr_t typedef, which clashes with system headers on s390x
    (closes: #805157).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Dec 2015 17:10:02 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu4) vivid; urgency=medium

  * Rebuild against libmagickcore-6.q16-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Oct 2014 12:28:05 +0000

virtuoso-opensource (6.1.6+repack-0ubuntu3) saucy; urgency=low

  * Don't hardcode automake versions, this tends to break things and
    eat unicorns
  * Pass add-missing to automake to fix build

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 23 Sep 2013 20:45:25 +0200

virtuoso-opensource (6.1.6+repack-0ubuntu2) raring; urgency=low

  * Add --with-debug to the extra configure flags so we get debugging symbols
    for the application binaries

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Jan 2013 18:16:56 +0100

virtuoso-opensource (6.1.6+repack-0ubuntu1) quantal; urgency=low

  * Rebuild to fix version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 16:39:34 +0100

virtuoso-opensource (6.1.6+repack-0ubuntu1~ppa1) quantal; urgency=low

  * New upstream release 
    - Repack tarbal to remove binary files
    - Drop repack-oat.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Aug 2012 19:02:19 +0530

virtuoso-opensource (6.1.4+dfsg1-1ubuntu2) quantal; urgency=low

  * Rebuild for imagemagick 6.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 11:31:43 +0100

virtuoso-opensource (6.1.4+dfsg1-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Drop build-depends on libwbxml2-dev (in Universe)
  * The virtuoso-nepomuk transitional package was dropped in this merge,
    since updates must now run through precise, and the package is
    transitional there. The replace/break for libvirtodbc0 was removed too.
  * The virtuoso-opensource-6.0 transitional package was dropped for the same
    reasons.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Jul 2012 19:20:08 -0400

virtuoso-opensource (6.1.4+dfsg1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Feb 2012 16:37:45 +0000

virtuoso-opensource (6.1.3+dfsg1-1ubuntu3) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:34:57 -0700

virtuoso-opensource (6.1.3+dfsg1-1ubuntu2) precise; urgency=low

  * No change rebuild for imagemagick4 transition

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Nov 2011 12:18:02 -0500

virtuoso-opensource (6.1.3+dfsg1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Make libvirtodbc0 replace/break virtuoso-nepomuk
    - Add virtuoso-opensource-6.0 transitional package with a prerm script
      as a fallback for the old package which fails to upgrade
    - Adjust Breaks/Replaces for Ubuntu versions
    - Drop build-depends on libwbxml2-dev (in Universe)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Aug 2011 09:53:46 -0400

virtuoso-opensource (6.1.2+dfsg1-1ubuntu4) maverick; urgency=low

  * Make libvirtodbc0 replace/break virtuoso-nepomuk. (LP: #608878)
  * Mention that virtuoso-nepomuk is a transitional package in the short
    description.
  * Add virtuoso-opensource-6.0 transitional package and add a prerm script
    as a fallback for the old package which fails to upgrade. (LP: #609924)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 02 Aug 2010 15:54:34 +0200

virtuoso-opensource (6.1.2+dfsg1-1ubuntu3) maverick; urgency=low

  * Conflict/replace older packages with versioned names. We can drop these
    changes in maverick+1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 22 Jul 2010 09:46:35 -0400

virtuoso-opensource (6.1.2+dfsg1-1ubuntu2) maverick; urgency=low

  * Remove build-depend on libwbxml2-dev that was added as part of the merge
    accidentally

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Jul 2010 16:52:15 -0400

virtuoso-opensource (6.1.2+dfsg1-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Make virtuoso-minimal replace/break virtuoso-nepomuk
    - Keep virtuoso-nepomuk around as a virtual dummy package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Jul 2010 15:38:56 -0400

virtuoso-opensource (6.1.0-0ubuntu4) maverick; urgency=low

  * Add a dependency on odbcinst to libvirtodbc0. It needs to use it for its
    postinst script. (LP: #529562)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 09 May 2010 08:40:18 -0400

=== debian/control ===
Source: virtuoso-opensource
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: José Manuel Santamaría Lema <panfaust@gmail.com>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://virtuoso.openlinksw.com/wiki/main/Main/
Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-virtuoso/pkg-virtuoso.git
Vcs-Git: git://anonscm.alioth.debian.org/git/pkg-virtuoso/pkg-virtuoso.git
Build-Depends: cdbs, debhelper (>= 9), autotools-dev, autoconf (>=2.57),
 automake (>=1.10), libtool (>=1.5.16), flex (>=2.5.4), bison (>=1.35),
 gperf (>=2.7.2), gawk (>=3.1.1), m4 (>=1.4.1), make (>=3.79.1),
 libssl-dev (>=0.9.7), libreadline-dev, zlib1g-dev, libxml2-dev, libpcre3-dev,
 libldap2-dev, net-tools,
 mono-devel (>= 2.4.3) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armhf armel sparc s390x ppc64],
 cli-common-dev (>= 0.8~) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armhf armel sparc s390x ppc64],
 docbook2x, po-debconf, libmagickwand-dev

Package: virtuoso-opensource
Section: metapackages
Architecture: all
Depends: virtuoso-opensource-6.1 (>= ${binary:Version}), ${misc:Depends}
Recommends: virtuoso-server, virtuoso-vsp-startpage, virtuoso-vad-conductor
Suggests: virtuoso-vad-doc, virtuoso-vad-demo, virtuoso-vad-tutorial,
 virtuoso-vad-rdfmappers, virtuoso-vad-sparqldemo, virtuoso-vad-syncml,
 virtuoso-vad-bpel, virtuoso-vad-isparql, virtuoso-vad-ods,
 virtuoso-vad-dbpedia, virtuoso-vad-facetedbrowser
Description: high-performance database
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 Virtuoso supports SPARQL embedded into SQL for querying RDF data stored
 in its database. SPARQL benefits from low-level support in the engine
 itself, such as SPARQL-aware type-casting rules and a dedicated IRI data
 type.
 .
 Install this metapackage for the full suite of packages that make up
 Virtuoso OSE ("Open-Source Edition").

Package: virtuoso-server
Section: metapackages
Architecture: all
Depends: virtuoso-opensource-6.1 (>= ${binary:Version}), ${misc:Depends}
Description: high-performance database - server dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 Virtuoso server framework, as recommended by the maintainers (currently
 virtuoso-opensource-6.1). Install this package if in doubt about
 which version you need.

Package: virtuoso-minimal
Section: metapackages
Architecture: all
Depends: virtuoso-opensource-6.1-bin (>= ${binary:Version}), 
 libvirtodbc0 (>= ${binary:Version}), 
 ${misc:Depends}
Description: high-performance database - core dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 core Virtuoso binaries, as recommended by the maintainers (currently
 virtuoso-opensource-6.1-bin). This should usually be depended on by
 all packages which use Virtuoso as an embedded database.

Package: virtuoso-opensource-6.1
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: virtuoso-opensource-6.1-common (= ${binary:Version}),
 virtuoso-opensource-6.1-bin (= ${binary:Version}),
 libvirtodbc0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: high-performance database - support files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package provides the Virtuoso server framework.

Package: virtuoso-opensource-6.1-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance database - common files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains files common to all versions of Virtuoso.

Package: virtuoso-opensource-6.1-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance database - binaries
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the core Virtuoso binaries.

Package: virtuoso-vsp-startpage
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - web interface files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the files for Virtuoso's web interface.

Package: virtuoso-vad-conductor
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - conductor module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the administration interface.

Package: virtuoso-vad-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - documentation module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the documentation.

Package: virtuoso-vad-demo
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the demonstration application.

Package: virtuoso-vad-tutorial
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - tutorial module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the tutorial application.

Package: virtuoso-vad-rdfmappers
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - RDF mappers module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the RDF mappers application.

Package: virtuoso-vad-sparqldemo
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - SPARQL demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the SPARQL demo application.

Package: virtuoso-vad-syncml
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - SyncML module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Synchronization Markup Language support.

Package: virtuoso-vad-bpel
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - BPEL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Business Process Execution Language support.

Package: virtuoso-vad-isparql
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - iSPARQL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for iSPARQL support.

Package: virtuoso-vad-ods
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - Open Data Spaces module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_AUTO_UPDATE_ACLOCAL = $(shell dpkg -s automake | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')
DEB_AUTO_UPDATE_AUTOCONF = $(shell dpkg -s autoconf | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')
DEB_AUTO_UPDATE_AUTOMAKE = $(shell dpkg -s automake | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')
DEB_AUTO_UPDATE_LIBTOOL = pre

DEB_AUTOMAKE_ARGS += --add-missing -Wno-portability

DEB_CONFIGURE_EXTRA_FLAGS = --with-layout=debian \
		--program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' \
		--with-readline --without-internal-zlib --with-debug

ifeq ($(DEB_BUILD_ARCH),alpha)
		EXTRA_LDFLAGS += -Wl,--no-relax
endif

EXTRA_LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

ifeq (hurd,$(findstring hurd,$(DEB_BUILD_ARCH)))
		CFLAGS += -D_GNU_SOURCE
endif

ifeq (kfreebsd,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
		CFLAGS += -D_GNU_SOURCE
endif

DEB_CONFIGURE_SCRIPT_ENV += \
		LDFLAGS="-Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed $(EXTRA_LDFLAGS)" \
		MONO_DISABLE_SHM=1 \
        DEBIANPKG=virtuoso-opensource-6.1

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

# update-rc.d is manually called in virtuoso-opensource-6.1.postinst
# See note there.
DEB_DH_INSTALLINIT_ARGS += --noscripts

# Disabled for now
#DEB_MAKE_INVOKE += -j
#.NOTPARALLEL:

clean::
	debconf-updatepo

build/virtuoso-opensource-6.1::
	cd debian; find . -name "*.?.xml" -exec docbook2x-man --solinks {} \;

cleanbuilddir/virtuoso-opensource-6.1::
	rm -f debian/*.1

build/libvirtuoso5.5-cil::
	$(MAKE) -C binsrc/VirtuosoClient.Net -f Makefile.mono
	chmod -x binsrc/VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll

cleanbuilddir/libvirtuoso5.5-cil::
	$(MAKE) -C binsrc/VirtuosoClient.Net -f Makefile.mono clean

binary-install/libvirtuoso5.5-cil::
	dh_installcligac

binary-predeb/libvirtuoso5.5-cil::
	dh_makeclilibs
	dh_clideps -d

get-orig-source:
	-uscan --download --verbose

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.[0-9]*// \
http://sf.net/virtuoso/virtuoso-opensource-([0-9.]+)\.tar\.gz

## virtuoso-opensource 7.2.5.1%2Bdfsg

=== debian/changelog ===
virtuoso-opensource (7.2.5.1+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Feb 2021 14:33:53 +0000

virtuoso-opensource (7.2.5.1+dfsg-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Postinst script should initialise plugins in the correct multiarch dir
  * Build against libssl-dev (>= 1.1)
    Closes: #828594
  * Take over some patches from Ubuntu
     - debconf question priority
     - ODBC configuration (just as comment)
  * Prevent privacy breach
  * Use debian/virtuoso-opensource-7.maintscript instead of using
    dpkg-maintscript-helper in maintainer scripts
  * Update German debconf translations
  * Standards-Version: 4.3.0
  * debhelper 12 (but skip dh_dwz)
  * Enable cross-compilation

  [ Andreas Beckmann ]
  * Perform the DEB_HOST_MULTIARCH substition at build time.
  * Add Breaks+Replaces against virtuoso-opensource-6.1-{bin,common}.
    (Closes: #907875)
  * Fix building twice in a row.  (Closes: #680775)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Feb 2019 18:54:38 +0100

virtuoso-opensource (7.2.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version (adapted patches)  (Closes: #689230)
  * DEP5
  * Use Files-Excluded to remove unwanted files from source tarball
  * Point watch file to Github and add options for file exclusion
  * Moved packaging to Debian Science team  (Closes: #813499)
  * Fix homepage
  * debhelper 11
  * cme fix dpkg-control
  * Standards-Version: 4.2.0
  * d/control: Adapt package names to new version (s/6\.1/7/)
  * Build against OpenSSL 1.0
  * virtuoso-opensource-7 Depends: lsb-base
  * debian/rules:
     - hardening=+all
     - Do not explicitly set DEB_HOST_MULTIARCH
  * debian/copyright: Files-Excluded:
        *.chm
        binsrc/dbpedia/vsp/statics/js/bootstrap.min.js
        binsrc/dbpedia/vsp/statics/js/jquery.min.js
    (these files are not installed)
        ckeditor
    (ckeditor is used from Debian packaged Version)
  * debian/source/lintian-overrides: Suppress false positives
  * virtuoso-opensource-7.init: Make sure virtuoso starts right from beginning
  * Package libvirtodbc0 should be in Section: libs
  * Make sure virtuoso will start right after installation

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 21:48:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DEBIANPKG=virtuoso-opensource-7
export MONO_DISABLE_SHM=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DH_WITH := --with pkgkde_symbolshelper
ifneq (,$(filter %-cil, $(shell dh_listpackages)))
	DH_WITH := $(DH_WITH),cli
	VIRTUOSO_CIL = yes
endif

# Needed for memmmem at least in hurd and kfreebsd*
CFLAGS += -D_GNU_SOURCE

TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))

%:
	dh $@ $(DH_WITH)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure: autogen
	# Code copy of ckeditor was removed - bring this back into the code tree
	cp -a /usr/share/javascript/ckeditor3 appsrc/ODS-Framework/ckeditor
	dh_auto_configure -- --with-layout=Debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib --enable-all-vads

override_dh_auto_build:
	dh_auto_build
	# manpages
	find debian -maxdepth 1 -type f -name '*.1.xml' -execdir docbook2x-man --solinks {} \;
	# libvirtuoso5.5-cil
ifdef VIRTUOSO_CIL
	make -C binsrc/VirtuosoClient.Net -f Makefile.mono
	chmod -x binsrc/VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll
endif

override_dh_install:
	dh_install -plibvirtodbc0 usr/lib/*/virtodbc*.so usr/lib/$(DEB_HOST_MULTIARCH)/odbc
	dh_install -plibvirtuoso5.5-cil debian/virtuoso.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install --remaining-packages
	# Remove code copy of ckeditor once it is not needed any more in source tree (could be also done in clean target, but why not doing it here)
	rm -rf appsrc/ODS-Framework/ckeditor

override_dh_installinit:
	dh_installinit --noscripts

override_dh_auto_clean:
	# manpages clean
	$(RM) $(patsubst %.xml,%,$(wildcard debian/*.1.xml))
	# libvirtuoso5.5-cil clean
ifdef VIRTUOSO_CIL
	make -C binsrc/VirtuosoClient.Net -f Makefile.mono clean
endif
	dh_auto_clean
	$(RM) $(AUTOGEN)

override_dh_dwz:
	echo "Skip dh_dwz"

autogen: $(AUTOGEN) ;

debian/%: debian/%.in
	sed 's/@@DEB_HOST_MULTIARCH@@/$(DEB_HOST_MULTIARCH)/g' $< > $@

## virtuoso-opensource 7.2.5.1+dfsg1

=== binsrc/tutorial/services/ws_s_2/Makefile ===
CS=csc.exe

CS_WINFORMS_IMPORTS=/R:System.DLL /R:System.Windows.Forms.DLL  /R:System.Drawing.DLL

OUTDIR=.

#set path to the Microsoft.WSDK.dll
CSLIBFLAGS=/lib:.

CS_EXE_FLAGS=/nologo $(CSLIBFLAGS)

TARGETS = \
  $(OUTDIR)\SymClient.exe
CLEANUP = \
  $(OUTDIR)\SymClient.exe \
  $(OUTDIR)\SymClient.pdb \
  $(OUTDIR)\*.webinfo \
  $(OUTDIR)\referralCache.config \

IMPORTS=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.WSDK.dll

all : $(TARGETS)

$(OUTDIR)\SymClient.exe : SymClient.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS) /out:$@ $**


clean :
  @for %i in ( $(CLEANUP) ) do @if exist %i del %i

=== binsrc/tutorial/services/ws_s_4/Makefile ===
CS=csc.exe

CS_WINFORMS_IMPORTS=/R:System.DLL /R:System.Windows.Forms.DLL  /R:System.Drawing.DLL

OUTDIR=.

#this should be set to the path to the Microsoft.Web.Services.dll
CSLIBFLAGS=/lib:.

CS_EXE_FLAGS=/nologo $(CSLIBFLAGS)

TARGETS = \
  $(OUTDIR)\x509Client.exe
CLEANUP = \
  $(OUTDIR)\x509Client.exe \
  $(OUTDIR)\x509Client.pdb

IMPORTS=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.Web.Services2.dll

all : $(TARGETS)

$(OUTDIR)\x509Client.exe : x509Client.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS) /out:$@ $**

clean :
  @for %i in ( $(CLEANUP) ) do @if exist %i del %i

=== binsrc/tutorial/services/ws_s_4a/Makefile ===
CS=csc.exe

CS_WINFORMS_IMPORTS=/R:System.DLL /R:System.Windows.Forms.DLL  /R:System.Drawing.DLL

OUTDIR=.

#this should be set to the path to the Microsoft.Web.Services.dll
CSLIBFLAGS=/lib:.

CS_EXE_FLAGS=/nologo $(CSLIBFLAGS)

TARGETS = \
  $(OUTDIR)\UsernameClient.exe \
  $(OUTDIR)\UsernameClient2.exe
CLEANUP = \
  $(OUTDIR)\UsernameClient.exe \
  $(OUTDIR)\UsernameClient2.exe \
  $(OUTDIR)\UsernameClient.pdb

IMPORTS=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.Web.Services.dll

IMPORTS2=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.Web.Services2.dll

all : $(TARGETS)

$(OUTDIR)\UsernameClient.exe : UsernameClient.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS) /out:$@ $**

$(OUTDIR)\UsernameClient2.exe : UsernameClient2.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS2) /out:$@ $**

clean :
  @for %i in ( $(CLEANUP) ) do @if exist %i del %i

=== debian/changelog ===
virtuoso-opensource (7.2.5.1+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack to remove sw-vert-v.svg.  (Closes: #990890)
  * Drop /sdk:2 from MCS_FLAGS.  (Closes: #991070)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jul 2021 01:15:17 +0200

virtuoso-opensource (7.2.5.1+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Reintroduce libvirtuoso5.5-cil, the upgrade error was actually in mono.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Jun 2021 11:41:25 +0200

virtuoso-opensource (7.2.5.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the libvirtuoso5.5-cil package. (Closes: #986293)
  * Updated debconf translations:
    - Dutch from Frans Spiesschaert. (Closes: #983414)
    - German from Helge Kreutzmann. (Closes: #982628)
    - Portuguese from Américo Monteiro. (Closes: #982569)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 May 2021 16:11:30 +0300

=== debian/control ===
Source: virtuoso-opensource
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Will Daniels <mail@willdaniels.co.uk>
Section: database
Priority: optional
Build-Depends: bison,
               cli-common-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64 ppc64el s390x],
               debhelper (>= 12~),
               docbook2x,
               docbook-xml,
               flex,
               gawk,
               gperf,
               libldap2-dev,
               libmagickwand-dev,
               libpcre3-dev,
               libreadline-dev,
               libssl-dev,
               libtool,
               libwbxml2-dev,
               libxml2-dev,
               m4,
               mono-devel [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64 ppc64el s390x],
               net-tools,
               pkg-kde-tools,
               po-debconf,
               libminizip-dev,
               ckeditor3
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/virtuoso-opensource
Vcs-Git: https://salsa.debian.org/science-team/virtuoso-opensource.git
Homepage: http://vos.openlinksw.com/owiki/wiki/VOS/

Package: virtuoso-opensource
Architecture: all
Section: metapackages
Depends: virtuoso-opensource-7 (>= ${binary:Version}),
         ${misc:Depends}
Recommends: virtuoso-server,
            virtuoso-vad-conductor,
            virtuoso-vsp-startpage
Suggests: virtuoso-vad-bpel,
          virtuoso-vad-dbpedia,
          virtuoso-vad-demo,
          virtuoso-vad-doc,
          virtuoso-vad-facetedbrowser,
          virtuoso-vad-isparql,
          virtuoso-vad-ods,
          virtuoso-vad-rdfmappers,
          virtuoso-vad-sparqldemo,
          virtuoso-vad-syncml,
          virtuoso-vad-tutorial
Description: high-performance database
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 Virtuoso supports SPARQL embedded into SQL for querying RDF data stored
 in its database. SPARQL benefits from low-level support in the engine
 itself, such as SPARQL-aware type-casting rules and a dedicated IRI data
 type.
 .
 Install this metapackage for the full suite of packages that make up
 Virtuoso OSE ("Open-Source Edition").

Package: virtuoso-server
Architecture: all
Section: metapackages
Depends: virtuoso-opensource-7 (>= ${binary:Version}),
         ${misc:Depends}
Description: high-performance database - server dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 Virtuoso server framework, as recommended by the maintainers (currently
 virtuoso-opensource-7). Install this package if in doubt about
 which version you need.

Package: virtuoso-minimal
Architecture: all
Section: metapackages
Depends: libvirtodbc0 (>= ${binary:Version}),
         virtuoso-opensource-7-bin (>= ${binary:Version}),
         ${misc:Depends}
Description: high-performance database - core dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 core Virtuoso binaries, as recommended by the maintainers (currently
 virtuoso-opensource-7-bin). This should usually be depended on by
 all packages which use Virtuoso as an embedded database.

Package: virtuoso-opensource-7
Architecture: any
Depends: libvirtodbc0 (= ${binary:Version}),
         virtuoso-opensource-7-bin (= ${binary:Version}),
         virtuoso-opensource-7-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         lsb-base
Pre-Depends: ${misc:Pre-Depends}
Description: high-performance database - support files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package provides the Virtuoso server framework.

Package: virtuoso-opensource-7-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: virtuoso-opensource-6.1-common (<< 7),
Replaces: virtuoso-opensource-6.1-common (<< 7),
Description: high-performance database - common files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains files common to all versions of Virtuoso.

Package: virtuoso-opensource-7-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: virtuoso-opensource-6.1-bin (<< 7),
Replaces: virtuoso-opensource-6.1-bin (<< 7),
Description: high-performance database - binaries
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the core Virtuoso binaries.

Package: virtuoso-vsp-startpage
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - web interface files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the files for Virtuoso's web interface.

Package: virtuoso-vad-conductor
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - conductor module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the administration interface.

Package: virtuoso-vad-doc
Architecture: all
Section: doc
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - documentation module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the documentation.

Package: virtuoso-vad-demo
Architecture: all
Section: doc
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the demonstration application.

Package: virtuoso-vad-tutorial
Architecture: all
Section: doc
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - tutorial module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the tutorial application.

Package: virtuoso-vad-rdfmappers
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - RDF mappers module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the RDF mappers application.

Package: virtuoso-vad-sparqldemo
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - SPARQL demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the SPARQL demo application.

Package: virtuoso-vad-syncml
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - SyncML module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Synchronization Markup Language support.

Package: virtuoso-vad-bpel
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - BPEL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Business Process Execution Language support.

Package: virtuoso-vad-isparql
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - iSPARQL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,9 @@
 
 override_dh_install:
 	dh_install -plibvirtodbc0 usr/lib/*/virtodbc*.so usr/lib/$(DEB_HOST_MULTIARCH)/odbc
+ifdef VIRTUOSO_CIL
 	dh_install -plibvirtuoso5.5-cil debian/virtuoso.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+endif
 	dh_install --remaining-packages
 	# Remove code copy of ckeditor once it is not needed any more in source tree (could be also done in clean target, but why not doing it here)
 	rm -rf appsrc/ODS-Framework/ckeditor

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[\d\.]*//g,repack,compression=xz" \
  https://github.com/openlink/virtuoso-opensource/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@
